# Source code for azure.mgmt.powerbiembedded.models.check_name_request

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class CheckNameRequest(Model):
        """CheckNameRequest.

        :param name: Workspace collection name
        :type name: str
        :param type: Resource type. Default value:
         "Microsoft.PowerBI/workspaceCollections" .
        :type type: str
        """

        _attribute_map = {
            'name': {'key': 'name', 'type': 'str'},
            'type': {'key': 'type', 'type': 'str'},
        }

        def __init__(self, name=None, type="Microsoft.PowerBI/workspaceCollections"):
            self.name = name
            self.type = type